package main

import (
	"Study/pkg/GithubApi"
	"flag"
	"fmt"
	"log"
	"strconv"
)

func main() {
	var finalArgs string

	flagDate := flag.Int("d", 30, "指定查询日期")
	flagPerPage := flag.Int("n", 30, "指定每页返回多少条Issues")
	flagPage := flag.Int("p", 1, "返回第几页的结果")
	GithubApi.IsCategory = flag.Bool("c", false, "是否按日，月，年分类")

	// 从os.Args[1:]中解析注册的flag。必须在所有flag都注册好而未访问其值时执行。
	// 未注册却使用flag -help时，会返回ErrHelp。
	if !flag.Parsed() {
		flag.Parse()
	}

	// 指定每页返回多少条结果
	finalArgs = "&per_page=" + strconv.Itoa(*flagPerPage)
	// 指定返回页
	finalArgs += "&page=" + strconv.Itoa(*flagPage)

	result, err := GithubApi.SearchIssues(flag.Args(), *flagDate, finalArgs)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%T", result)
	fmt.Printf("\nissues:%d\n", result.TotalCount)
	//for _, item := range result.Items {
	//	fmt.Printf("#%-5d %9.9s %.55s\n",
	//		item.Number, item.User.Login, item.Title)
	//}
	GithubApi.CategoryOutput(result)
}
